require "Widget";

------------------------------------------------------
-- class Scrollable
------------------------------------------------------
Scrollable = Widget:new();

function CreateScrollable()
	newScrollable = Scrollable:new();
	newScrollable.triggerScript = {};
	return newScrollable;
end

function Scrollable:AddStaticText(newWidgetName)
	childWidget = CreateWidget("Static", newWidgetName);
	if (childWidget) then
		AddWidgetChildWidget(g_AddonName, self.name, newWidgetName);
	end
	return childWidget;
end

function Scrollable:AddSimpleHtml(newWidgetName)
	childWidget = CreateWidget("SimpleHTML", newWidgetName);
	if (childWidget) then
		AddWidgetChildWidget(g_AddonName, self.name, newWidgetName);
	end
	return childWidget;
end

function Scrollable:AddStaticImage(newWidgetName)
	childWidget = CreateWidget("StaticImage", newWidgetName);
	if (childWidget) then
		AddWidgetChildWidget(g_AddonName, self.name, newWidgetName);
	end
	return childWidget;
end

function Scrollable:Clear()
	ClearWidgetChildren(g_AddonName, self.name);
end
