-- global slash command list
SlashCmdList = {};

local SlashCmdPattern = "^/[.%S]+"

function IsSlashCmd(str)
	local cmd = string.match(str, SlashCmdPattern);
	if (cmd ~= nil) then
		for k, v in pairs(SlashCmdList) do
			i = 1;
			while (_G["SLASH_"..k..tostring(i)]) do
				slashCmd = _G["SLASH_"..k..tostring(i)];
				if (cmd:lower() == slashCmd:lower()) then
					if (type(SlashCmdList[k]) == "function") then
						return 1, SlashCmdList[k]
					end
				end
				i = i+1;
			end
		end
	end
	return 0, nil
end

function DoSlashCmd(str)
	local b, f = IsSlashCmd(str)
	if (b and (f ~= nil)) then
		local s, e = string.find(str, SlashCmdPattern);
		local argStr = string.sub(str, e+2, -1)
		f(argStr)
	end
end
