require "Widget";

------------------------------------------------------
-- class MessageWidget
------------------------------------------------------
MessageWidget = Widget:new();

function CreateMessageWidget()
	newMsgWidget = MessageWidget:new();
	newMsgWidget.triggerScript = {};
	return newMsgWidget;
end

------------------------------------------------------
-- Global default chat Widget
------------------------------------------------------
DEFAULT_CHAT_DIALOG = CreateMessageWidget();
DEFAULT_CHAT_DIALOG.tabId = 0;

------------------------------------------------------
-- C API
------------------------------------------------------
function MessageWidget:AddMessage(text, r, g, b)
	MessageWidgetAddMessage(g_AddonName, self.name, text, r, g, b)
end

function DEFAULT_CHAT_DIALOG:AddMessage(text, r, g, b)
	if (self.tabId ~= nil) then
		DisplayChatMessage(self.tabId, text, r, g, b);
	end
end
